@echo OFF
REM Syntax is:  TESTFNTS  [Device]

cls

echo.
echo Copyright Procon Construction Systems - January 2003
echo.
echo This batchfile prints some test sheets showing the currently available
echo downloaded - and internal - fixed pitch fonts on the printer ....
echo.

echo If your printer provides scalable fonts - or you have installed the
echo Licenced version of Procon's HVLJFnts package - all these font sizes
echo should print correctly on any laser printer with PCL support.

set NOW=9:10am, 15JAN03
REM echo Test Files last modified %NOW%

pause

:: Allow user to specify alternative Output Device on command line
:: Use PRN as default when no device given
set DEVOUT=%1
if '.%DEVOUT%' == '.' set DEVOUT=PRN


call RESETLJ.BAT %DEVOUT%

copy /B SETPORT.BIN %DEVOUT% > nul
copy /B SETPC8.BIN %DEVOUT% > nul
copy /B SETFIXED.BIN %DEVOUT% > nul

::goto :SkipPortrait

echo %NOW%: These are some of the PORTRAIT fonts.......

copy /B SET6LPI.BIN %DEVOUT% > nul

echo %NOW%: Page 1 of the PORTRAIT fonts . . . > %DEVOUT%

copy /B SET10CPI.BIN %DEVOUT% > nul
copy /B SET16LPI.BIN %DEVOUT% > nul

set LPI=16

set CPI=30
set HDR=%LPI% Lines/Inch, %CPI% Characters/Inch Portrait (Magnifying Glass material)
echo %HDR%
call SETCPI.BAT %CPI% %DEVOUT%
echo %HDR% > %DEVOUT%
copy /b ASCII.TXT %DEVOUT% > nul

copy /B SET10CPI.BIN %DEVOUT% > nul
copy /B SET12LPI.BIN %DEVOUT% > nul
set LPI=12

set CPI=25
set HDR=%LPI% Lines/Inch, %CPI% Characters/Inch Portrait
echo %HDR%
call SETCPI.BAT %CPI% %DEVOUT%
echo %HDR% > %DEVOUT%
copy /b ASCII.TXT %DEVOUT% > nul

copy /B SET10CPI.BIN %DEVOUT% > nul
copy /B SET8LPI.BIN %DEVOUT% > nul
set LPI=8

set CPI=20
set HDR=%LPI% Lines/Inch, %CPI% Characters/Inch Portrait
echo %HDR%
call SETCPI.BAT %CPI% %DEVOUT%
echo %HDR% > %DEVOUT%
copy /b ASCII.TXT %DEVOUT% > nul

copy /B SET10CPI.BIN %DEVOUT% > nul
copy /B SET6LPI.BIN  %DEVOUT% > nul
set LPI=6

set CPI=16.67
set HDR=%LPI% Lines/Inch, %CPI% Characters/Inch Portrait
echo %HDR%
call SETCPI.BAT %CPI% %DEVOUT%
echo %HDR% > %DEVOUT%
copy /b ASCII.TXT %DEVOUT% > nul

set CPI=15
set HDR=%LPI% Lines/Inch, %CPI% Characters/Inch Portrait
echo %HDR%
call SETCPI.BAT %CPI% %DEVOUT%
echo %HDR% > %DEVOUT%
copy /b ASCII.TXT %DEVOUT% > nul

echo  > %DEVOUT%
copy /B SET10CPI.BIN %DEVOUT% > nul
echo %NOW%: . . . page 2 of the PORTRAIT fonts . . . > %DEVOUT%

set CPI=12
set HDR=%LPI% Lines/Inch, %CPI% Characters/Inch Portrait (Probably Internal)
echo %HDR%
call SETCPI.BAT %CPI% %DEVOUT%
echo %HDR% > %DEVOUT%
copy /b ASCII.TXT %DEVOUT% > nul

set CPI=10
set HDR=%LPI% Lines/Inch, %CPI% Characters/Inch Portrait (Probably Internal)
echo %HDR%
call SETCPI.BAT %CPI% %DEVOUT%
echo %HDR% > %DEVOUT%
copy /b ASCII.TXT %DEVOUT% > nul

copy /B SET10CPI.BIN %DEVOUT% > nul
copy /B SET4LPI.BIN %DEVOUT% > nul
set LPI=4

set CPI=8.33
set HDR=%LPI% Lines/Inch, %CPI% Characters/Inch Portrait
echo %HDR%
call SETCPI.BAT %CPI% %DEVOUT%
echo %HDR% > %DEVOUT%
copy /b ASCII.TXT %DEVOUT% > nul

:SkipPortrait

::goto :SkipLandscape

copy /B SETLAND.BIN %DEVOUT% > nul
echo.
echo ......and a few LANDSCAPE fonts.......
echo.

copy /B SET10CPI.BIN %DEVOUT% > nul
echo %NOW%: Page 1 of the LANDSCAPE fonts . . . > %DEVOUT%

copy /B SET10CPI.BIN %DEVOUT% > nul
copy /B SET16LPI.BIN %DEVOUT% > nul
set LPI=16

set CPI=37.5
set HDR=%LPI% Lines/Inch, %CPI% Characters/Inch Landscape (So small it can't be read!)
echo %HDR%
call SETCPI.BAT %CPI% %DEVOUT%
echo %HDR% > %DEVOUT%
copy /b ASCII.TXT %DEVOUT% > nul

copy /B SET10CPI.BIN %DEVOUT% > nul
copy /B SET12LPI.BIN %DEVOUT% > nul
set LPI=12

set CPI=25
set HDR=%LPI% Lines/Inch, %CPI% Characters/Inch Landscape
echo %HDR%
call SETCPI.BAT %CPI% %DEVOUT%
echo %HDR% > %DEVOUT%
copy /b ASCII.TXT %DEVOUT% > nul

copy /B SET10CPI.BIN %DEVOUT% > nul
copy /B SET8LPI.BIN %DEVOUT% > nul
set LPI=8

set CPI=20
set HDR=%LPI% Lines/Inch, %CPI% Characters/Inch Landscape
echo %HDR%
call SETCPI.BAT %CPI% %DEVOUT%
echo %HDR% > %DEVOUT%
copy /b ASCII.TXT %DEVOUT% > nul

set CPI=16.67
set HDR=%LPI% Lines/Inch, %CPI% Characters/Inch Landscape
echo %HDR%
call SETCPI.BAT %CPI% %DEVOUT%
echo %HDR% > %DEVOUT%
copy /b ASCII.TXT %DEVOUT% > nul

echo  > %DEVOUT%
copy /B SET10CPI.BIN %DEVOUT% > nul
echo %NOW%: . . . page 2 of the LANDSCAPE fonts . . . > %DEVOUT%

copy /B SET10CPI.BIN %DEVOUT% > nul
copy /B SET6LPI.BIN %DEVOUT% > nul
set LPI=6

set CPI=12.5
set HDR=%LPI% Lines/Inch, %CPI% Characters/Inch Landscape
echo %HDR%
call SETCPI.BAT %CPI% %DEVOUT%
echo %HDR% > %DEVOUT%
copy /b ASCII.TXT %DEVOUT% > nul

set CPI=10
set HDR=%LPI% Lines/Inch, %CPI% Characters/Inch Landscape (Probably Internal)
echo %HDR%
call SETCPI.BAT %CPI% %DEVOUT%
echo %HDR% > %DEVOUT%
copy /b ASCII.TXT %DEVOUT% > nul

copy /B SET10CPI.BIN %DEVOUT% > nul
copy /B SET4LPI.BIN %DEVOUT% > nul
set LPI=4

set CPI=8.33
set HDR=%LPI% Lines/Inch, %CPI% Characters/Inch Landscape (8.33 CPI HVFont?)
echo %HDR%
call SETCPI.BAT %CPI% %DEVOUT%
echo %HDR% > %DEVOUT%
echo Some 8cpi Text as a test: 123456789_123456789_123456789_ > %DEVOUT%
echo The Quick Brown Fox Jumped Over The Lazy Dog.  8+3/5-1=7.60 > %DEVOUT%
echo 123456789-123456789-123456789-123456789-123456789-123456789- > %DEVOUT%
echo 

:SkipLandscape

copy /B FF.BIN %DEVOUT% > nul

set FVR=
set NOW=
set LPI=
set CPI=
set HDR=
set DEVOUT=
:: ----------------------------------------
